#ifndef __EXTSELECTION__H__
#define __EXTSELECTION__H__

extern void start_callback(void *userdata, SoSelection *sel);
extern void finish_callback(void *userdata, SoSelection *sel);
extern SbBool lineCB(void *userdata,
		     SoCallbackAction *action,
		     const SoPrimitiveVertex *v1,
		     const SoPrimitiveVertex *v2);
extern SbBool pointCB(void *userdata,
		      SoCallbackAction *action,
		      const SoPrimitiveVertex *v1);
extern SbBool triangleCB(void *userdata,
			 SoCallbackAction *action,
			 const SoPrimitiveVertex *v1,
			 const SoPrimitiveVertex *v2,
			 const SoPrimitiveVertex *v3);
extern SoSeparator* make_line_sg(void);

extern void event_cb(void * userdata, SoEventCallback * node);



#endif
